Summary:	Program that wraps normal socket connections with SSL/TLS
Name:		stunnel
Version:	5.71
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		https://www.stunnel.org/
Source0:	https://www.stunnel.org/downloads/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(openssl) >= 0.9.5
BuildRequires:	tcp_wrappers-devel
Requires:	tcp_wrappers
Requires(post):	openssl
Obsoletes: lib64stunnel-devel
Obsoletes: lib64stunnel-static-devel
Obsoletes: lib64stunnel0

%description
The stunnel program is designed to work as SSL encryption wrapper between 
remote clients and local (inetd-startable) or remote servers. The concept is 
that having non-SSL aware daemons running on your system you can easily set 
them up to communicate with clients over secure SSL channels.

stunnel can be used to add SSL functionality to commonly used inetd daemons 
like POP-2, POP-3, and IMAP servers, to standalone daemons like NNTP, SMTP 
and HTTP, and in tunneling PPP over network sockets without changes to the 
source code.

%prep
%setup -q

%build
%configure2_5x \
    --with-ssl=%{_prefix} \
    --disable-static \
    --enable-shared
%make_build pkglibdir=%{_libdir}

%install
# (oe) hack... don't generate the pem file, and stunnel.conf
install -d %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/stunnel.pem

%makeinstall docdir=`pwd`/doc-to-install pkglibdir=%{buildroot}%{_libdir}

mv %{buildroot}%{_sysconfdir}/%{name}/stunnel.conf-sample \
    %{buildroot}%{_sysconfdir}/%{name}/stunnel.conf

perl -pi \
    -e 's|chroot = .*|chroot = /run/stunnel|;' \
    -e 's|cert = .*|cert = /etc/pki/tls/certs/stunnel.pem|;' \
    -e 's|;key = .*|key = /etc/pki/tls/private/stunnel.pem|;' \
    -e 's|;pid = .*|pid = /run/stunnel/stunnel.pid|;' \
    -e 's|options = NO_SSLv2|options = NO_SSLv2\noptions = NO_SSLv3|;' \
    %{buildroot}%{_sysconfdir}/%{name}/stunnel.conf

# Move the translated man pages to the right subdirectories, and strip off the
# language suffixes.
for lang in pl ; do
    mkdir -p %{buildroot}%{_mandir}/${lang}/man8
    mv %{buildroot}%{_mandir}/man8/*.${lang}.8* %{buildroot}%{_mandir}/${lang}/man8/
    rename ".${lang}" "" %{buildroot}%{_mandir}/${lang}/man8/*
done

# cleanup
rm -f ./doc-to-install/INSTALL.W32 ./doc-to-install/COPYRIGHT.GPL
rm -f %{buildroot}%{_sysconfdir}/%{name}/stunnel.pem
rm -f %{buildroot}%{_libdir}/libstunnel.la

%post
%_create_ssl_certificate stunnel

%files
%doc doc-to-install/*
%{_bindir}/stunnel
%{_bindir}/stunnel3
%{_mandir}/man8/stunnel.8.*
%lang(pl) %{_mandir}/pl/man8/stunnel.8*
%config(noreplace) %{_sysconfdir}/%{name}/stunnel.conf
%{_libdir}/libstunnel.so


%changelog
* Wed Sep 20 2023 tex - 5.71-1pclos2023
- new version

* Sat Nov 05 2022 tex - 5.67-1pclos2022
- new version

* Mon Dec 02 2019 tex - 5.44-2pclos2019
- rebuild against updates

